<?php
/**
 * BonusOperationsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * CRM
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CrmClient;

use \Ensi\CrmClient\Configuration;
use \Ensi\CrmClient\ApiException;
use \Ensi\CrmClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * BonusOperationsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CrmClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class BonusOperationsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createBonusOperation
     *
     * Создание бонусной операции.
     *
     */
    public function testCreateBonusOperation()
    {
    }

    /**
     * Test case for deleteBonusOperation
     *
     * Удаление бонусной операции.
     *
     */
    public function testDeleteBonusOperation()
    {
    }

    /**
     * Test case for getBonusOperation
     *
     * Получение бонусной операции.
     *
     */
    public function testGetBonusOperation()
    {
    }

    /**
     * Test case for patchBonusOperation
     *
     * Обновление полей бонусной операции.
     *
     */
    public function testPatchBonusOperation()
    {
    }

    /**
     * Test case for searchBonusOperation
     *
     * Поиск бонусных операций.
     *
     */
    public function testSearchBonusOperation()
    {
    }
}
